# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with jdk6

%define milestone M3

%define section free

Name:           axion
Version:        1.0
Release:        0.%{milestone}.6%{?dist}
Epoch:          0
Summary:        Axion RDBMS 
License:        BSD
Group:          Development/Libraries/Java
URL:            http://axion.tigris.org/
# cvs -q -d :pserver:guest@cvs.tigris.org:/cvs export -D20080415 -d axion-20080415 axion && tar cjf axion-20080415.tar.bz2 axion-20080415
Source0:        axion-20080415.tar.bz2
Source1:        http://repo1.maven.org/maven2/axion/axion/1.0-M3-dev/axion-1.0-M3-dev.pom

Requires:       apache-commons-codec >= 0:1.1
Requires:       apache-commons-collections >= 0:2.1
Requires:       apache-commons-primitives >= 0:1.0
Requires:       apache-commons-logging >= 0:1.0
Requires:       javacc
Requires:       jpackage-utils
Requires:       regexp >= 0:1.2
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  ant-nodeps
BuildRequires:  ant-junit
BuildRequires:  junit
BuildRequires:  javacc >= 0:3.1
BuildRequires:  apache-commons-codec >= 0:1.1
BuildRequires:  apache-commons-collections >= 0:2.1
BuildRequires:  apache-commons-primitives >= 0:1.0
BuildRequires:  apache-commons-logging >= 0:1.0
BuildRequires:  regexp >= 0:1.2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Axion is a small, fast, open source relational 
database system (RDBMS) supporting SQL and JDBC 
written in and for the Java programming language.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Requires:       jpackage-utils

%description javadoc
%{summary}.

%prep
%setup -q -n axion-20080415

%build
export OPT_JAR_LIST="`%{__cat} %{_sysconfdir}/ant.d/{nodeps,junit}` javacc"
export CLASSPATH=$(build-classpath \
commons-codec \
commons-collections \
commons-primitives \
commons-logging \
regexp \
)
CLASSPATH=$CLASSPATH:bin/classes:bin/test/classes
%{ant} -Djavacc.home=%{_javadir} -Dbuild.sysclasspath=only jar doc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p bin/axion-%{version}-%{milestone}-dev.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)


# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap axion axion %{version} JPP %{name}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr bin/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/*
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Wed Feb 02 2011 David Walluck <dwalluck@redhat.com> 0:1.0-0.M3.6
- add Requires: javacc
- BuildRequies: javacc instead of javacc3
- Requires: jpackage-utils
- fix install
- fix maven depmap

* Wed Dec 15 2010 Ralph Apel <r.apel@r-apel.de> 0:1.0-0.M3.5
- (Re)add pom and depmap frag

* Mon Mar 16 2009 David Walluck <dwalluck@redhat.com> 0:1.0-0.M3.4
- bump release

* Mon Mar 16 2009 David Walluck <dwalluck@redhat.com> 0:1.0-0.M3.3
- update to 20080415 for JDK6 support

* Tue May 30 2006 Fernando Nasser <fnasser@redhat.com> 0:1.0-0.M3.2jpp
- First JPP 1.7 release

* Mon Oct 04 2004 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.M3.1jpp
- First release
